Name:           omemo-utils
Version:        1.0.0
Release:        3%{?dist}
Summary:        Utilities for OMEMO media sharing

License:        MIT
URL:            https://github.com/wstrm/%{name}
Source0:        https://github.com/wstrm/%{name}/archive/v%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libgcrypt-devel
BuildRequires:  libcurl-devel

%description
Omut is a command-line utility for OMEMO media sharing.

It provides an easy way to encrypt a separate file like a document or
a picture, then you are able to send the data to your contacts (single
or multiple contacts at the same time).

This tool provides also a feature to decrypt a file sent by your
contact, by using the direct URL location of the encrypted file. URLs
are prefixed with aesgcm://

This package contains only the "omut" executable and the README for
documentation.



%prep
%autosetup


%build
# Need to reset CFLAGS to use -g option:
# Add -g option to force to generate debuginfo package
%make_build CFLAGS="%{optflags}"


%install
# Prefix needs to be set to /usr instead of /usr/local
%make_install PREFIX=%{_prefix}



%files
%license LICENSE
%doc README.md
%{_bindir}/omut



%changelog
* Wed Aug 25 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 1.0.0-3
- Package Review RHBZ#1991343:
  - Replace prefix variable with macro

* Fri Aug 13 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 1.0.0-2
- Package Review RHBZ#1991343:
  - Add missing BuildRequires (make)

* Mon Aug 09 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 1.0.0-1
- Initial packaging
